package com.sunxung.factoring.entity.sys;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * @className:UserOrgRel
 * @description:用户组织机构关系类
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年1月17日 上午11:28:57
 */
@TableName("sys_user_org_rel")
public class UserOrgRel implements Serializable {

    private static final long serialVersionUID = 1L;
    /** 用户ID **/
    private Long userId;
    /** 组织机构ID **/
    private Long orgId;
    /** 组织机构CODE **/
    private String orgCode;
    /** 用户身份:默认false ，0 普通员工，1 上级 **/
    private boolean userIdentity;
    /** 用户在部门中显示顺序 **/
    private Integer gradation;
    /** 部门名称不保存数据库 **/
    private String orgName;

    public UserOrgRel(){
    }

    public UserOrgRel(Long orgId, boolean userIdentity){
        this.orgId = orgId;
        this.userIdentity = userIdentity;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public boolean isUserIdentity() {
        return userIdentity;
    }

    public void setUserIdentity(boolean userIdentity) {
        this.userIdentity = userIdentity;
    }

    public Integer getGradation() {
        return gradation;
    }

    public void setGradation(Integer gradation) {
        this.gradation = gradation;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
